Skip to main content
GET
/
domains
/
{domain_id}
/
identity-providers
List Identity Providers for a domain
curl --request GET \
  --url https://{tenantDomain}/my-org/v1/domains/{domain_id}/identity-providers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/my-org/v1/domains/{domain_id}/identity-providers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/my-org/v1/domains/{domain_id}/identity-providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "identity_providers": [
    {
      "id": "con_2CZPv6IY0gWzDaQJ",
      "display_name": "Acme Engineering",
      "name": "acme-engineering"
    },
    {
      "id": "con_2CZPv6IY0gWzDaQG",
      "display_name": "Acme Engineering 2",
      "name": "acme-engineering-2"
    }
  ]
}
{
"type": "https://auth0.com/api-errors#A0E-400-0003",
"status": 400,
"title": "Validation Error",
"validation_errors": [
{
"detail": "is required",
"field": "data/property_name",
"pointer": "/property_name",
"source": "params"
}
]
}
{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}
{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}
{
"type": "https://auth0.com/api-errors#A0E-404-0002",
"status": 404,
"title": "Resource Not Found",
"detail": "The organization does not exist."
}
{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

domain_id
string
required
read-only

Organization domain identifier.

Pattern: ^ord_[A-Za-z0-9]{22}$

Response

List identity providers for an organization domain.

identity_providers
object[]